<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.poifs.property Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.poifs.property Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/nio/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/poifs/storage/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/property/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.poifs.property</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.poifs.property.<a
                        href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.PropertyComparator.html"
                        title="class in org.apache.poi.poifs.property"><span class="typeNameLink">DirectoryProperty.PropertyComparator</span></a>
                    (implements java.util.Comparator&lt;T&gt;, java.io.Serializable)
                </li>
                <li type="circle">org.apache.poi.poifs.property.<a
                        href="../../../../../org/apache/poi/poifs/property/Property.html"
                        title="class in org.apache.poi.poifs.property"><span class="typeNameLink">Property</span></a>
                    (implements org.apache.poi.poifs.property.<a
                            href="../../../../../org/apache/poi/poifs/property/Child.html"
                            title="interface in org.apache.poi.poifs.property">Child</a>, org.apache.poi.poifs.dev.<a
                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                            title="interface in org.apache.poi.poifs.dev">POIFSViewable</a>)
                    <ul>
                        <li type="circle">org.apache.poi.poifs.property.<a
                                href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.html"
                                title="class in org.apache.poi.poifs.property"><span class="typeNameLink">DirectoryProperty</span></a>
                            (implements java.lang.Iterable&lt;T&gt;, org.apache.poi.poifs.property.<a
                                    href="../../../../../org/apache/poi/poifs/property/Parent.html"
                                    title="interface in org.apache.poi.poifs.property">Parent</a>)
                            <ul>
                                <li type="circle">org.apache.poi.poifs.property.<a
                                        href="../../../../../org/apache/poi/poifs/property/RootProperty.html"
                                        title="class in org.apache.poi.poifs.property"><span class="typeNameLink">RootProperty</span></a>
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.poifs.property.<a
                                href="../../../../../org/apache/poi/poifs/property/DocumentProperty.html"
                                title="class in org.apache.poi.poifs.property"><span class="typeNameLink">DocumentProperty</span></a>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.poifs.property.<a
                        href="../../../../../org/apache/poi/poifs/property/PropertyTable.html"
                        title="class in org.apache.poi.poifs.property"><span
                        class="typeNameLink">PropertyTable</span></a> (implements org.apache.poi.poifs.filesystem.<a
                        href="../../../../../org/apache/poi/poifs/filesystem/BATManaged.html"
                        title="interface in org.apache.poi.poifs.filesystem">BATManaged</a>)
                </li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">org.apache.poi.poifs.property.<a
                href="../../../../../org/apache/poi/poifs/property/Child.html"
                title="interface in org.apache.poi.poifs.property"><span class="typeNameLink">Child</span></a>
            <ul>
                <li type="circle">org.apache.poi.poifs.property.<a
                        href="../../../../../org/apache/poi/poifs/property/Parent.html"
                        title="interface in org.apache.poi.poifs.property"><span class="typeNameLink">Parent</span></a>
                    (also extends java.lang.Iterable&lt;T&gt;)
                </li>
            </ul>
        </li>
        <li type="circle">java.lang.Iterable&lt;T&gt;
            <ul>
                <li type="circle">org.apache.poi.poifs.property.<a
                        href="../../../../../org/apache/poi/poifs/property/Parent.html"
                        title="interface in org.apache.poi.poifs.property"><span class="typeNameLink">Parent</span></a>
                    (also extends org.apache.poi.poifs.property.<a
                            href="../../../../../org/apache/poi/poifs/property/Child.html"
                            title="interface in org.apache.poi.poifs.property">Child</a>)
                </li>
            </ul>
        </li>
        <li type="circle">org.apache.poi.poifs.property.<a
                href="../../../../../org/apache/poi/poifs/property/PropertyConstants.html"
                title="interface in org.apache.poi.poifs.property"><span
                class="typeNameLink">PropertyConstants</span></a></li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/nio/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/poifs/storage/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/property/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
